package com.ypsx.yppos.viewmodel.state

import com.ypsx.base.base.viewmodel.BaseViewModel
import com.ypsx.base.callback.databind.IntObservableField
import com.ypsx.base.callback.databind.StringObservableField

class MemberRegisterViewModel : BaseViewModel() {
    var memberMobile = StringObservableField("")

    //性别 会员性别 0 未知、1 男、2 女
    var memberGender = StringObservableField("")
    var memberGenderEnum = IntObservableField(0)

    //年龄 UNKNOWN_AGE_GROUP, 小于30岁: UNDER_30, 30-50岁: BETWEEN_30_50, 大于50: ABOVE_50
    var memberAge = StringObservableField("")
    var memberAgeEnum = StringObservableField("")

}